vexalarm.options.frame.messages.openTab = {
	["buffs"] = false,
	["selfbuffs"] = false,
	["groupbuffs"] = false,
	["castswithtargets"] = false,
	["castswithouttargets"] = false,
	["status"] = false,
	["misc"] = false,
	}

function vexalarm.options.frame.messages.toggleTab(tab)
	if vexalarm.options.frame.messages.openTab[tab] ~= nil then
		vexalarm.options.frame.messages.closeAllTabs()
		vexalarm.options.frame.messages.openTab[tab] = true
	end
end

function vexalarm.options.frame.messages.closeAllTabs()
	for key in pairs(vexalarm.options.frame.messages.openTab) do
		vexalarm.options.frame.messages.openTab[key] = false
	end
end

function vexalarm.options.frame.messages.filterTags(text, eventtype)
	if eventtype == "buffWOtarget" or eventtype == "castWOtarget" or eventtype == "grpbuff" then
		text = string.gsub(text, "%[target%]", "")
		text = string.gsub(text, "%[target_sc%]", "")
		text = string.gsub(text, "%[target_cc%]", "")
	end
	return text
end