vexalarm.options.spellwindow.spellID = 0

-- Props to Treeston for the original function, I modified it to get more info 
-- http://www.mmo-champion.com/threads/932005-Get-spell-description-via-spell-ID?p=12117176
	
function vexalarm.options.spellwindow.getToolTip(spellID)
	local tooltip = CreateFrame("GameTooltip", "CBMTSpellLoggerSpellScanTooltip", UIParent, "GameTooltipTemplate")
	tooltip:SetOwner(UIParent, "ANCHOR_NONE")
	tooltip:SetSpellByID(spellID)
	
	local returnvalue = ""..CBMTSpellLoggerSpellScanTooltipTextLeft2:GetText():match("[ ]*(.+)")
	returnvalue = returnvalue.."\n"..CBMTSpellLoggerSpellScanTooltipTextLeft3:GetText():match("[ ]*(.+)")
	if CBMTSpellLoggerSpellScanTooltipTextLeft4:GetText()~= nil then
		returnvalue = returnvalue.."\n"..CBMTSpellLoggerSpellScanTooltipTextLeft4:GetText():match("[ ]*(.+)")
	end
	if CBMTSpellLoggerSpellScanTooltipTextLeft5:GetText()~= nil then
		returnvalue = returnvalue.."\n"..CBMTSpellLoggerSpellScanTooltipTextLeft5:GetText():match("[ ]*(.+)")
	end
	tooltip:Hide()
	return returnvalue
end


function vexalarm.options.spellwindow.toggle(close, spellid, class, classstring, spelltype)
	if not(close) and (vexalarm.options.spellwindow.spellID ~= spellid or not(vexalarm.options.spellwindow.frame:IsShown())) then
		--Frame
		vexalarm.options.spellwindow.spellID = spellid
		
		if vexalarm.options.spellwindow.frame == nil then
			vexalarm.options.spellwindow.frame = CreateFrame("Frame", nil, InterfaceOptionsFramePanelContainer)
		
			vexalarm.options.spellwindow.frame:SetBackdrop({bgFile="Interface\\Buttons\\WHITE8X8", edgeFile="Interface\\Buttons\\WHITE8X8", tile=true, edgeSize=2})
			vexalarm.options.spellwindow.frame:SetBackdropColor(0.3, 0.3, 0.3, 0.8)
			vexalarm.options.spellwindow.frame:SetBackdropBorderColor(0,0,0,1)
			vexalarm.options.spellwindow.frame:SetFrameStrata("TOOLTIP")
			
			vexalarm.options.spellwindow.frame:RegisterForDrag("LeftButton")
			vexalarm.options.spellwindow.frame:SetScript("OnDragStart", function ()
				vexalarm.options.spellwindow.frame:StartMoving()
				end)
			vexalarm.options.spellwindow.frame:SetScript("OnDragStop", function (self)
				self:StopMovingOrSizing()
				end)
			vexalarm.options.spellwindow.frame:EnableMouse(true)
			vexalarm.options.spellwindow.frame:SetMovable(true)
			vexalarm.options.spellwindow.frame:ClearAllPoints()
			vexalarm.options.spellwindow.frame:SetPoint("TOPLEFT", InterfaceOptionsFramePanelContainer, "TOPRIGHT", 0, 0)
			vexalarm.options.spellwindow.frame:Show()
			
			
			--FontString
			vexalarm.options.spellwindow.Text = vexalarm.options.spellwindow.frame:CreateFontString("vexalarm.options.spellwindow.Text", "OVERLAY", "GameFontNormal")
			vexalarm.options.spellwindow.Text:ClearAllPoints()
			vexalarm.options.spellwindow.Text:SetPoint("TOPLEFT", vexalarm.options.spellwindow.frame, "TOPLEFT", 5, -5)
			vexalarm.options.spellwindow.Text:SetWidth(200)
			vexalarm.options.spellwindow.Text:SetTextColor(1, 1, 1, 1)
			vexalarm.options.spellwindow.Text:SetFont(vexalarm.LSM:Fetch("font", "Friz Quadrata TT"), 11)
			vexalarm.options.spellwindow.Text:SetJustifyH("LEFT")
			
			--CloseButton
			vexalarm.options.spellwindow.button = CreateFrame("Button", "vexalarm.options.spellwindow.button", vexalarm.options.spellwindow.frame, "UIPanelButtonTemplate")
			vexalarm.options.spellwindow.button:SetWidth(50)
			vexalarm.options.spellwindow.button:SetHeight(20)
			vexalarm.options.spellwindow.button:SetScale(0.7)
			vexalarm.options.spellwindow.button:SetPoint("TOPRIGHT", vexalarm.options.spellwindow.frame, "TOPRIGHT", -6, -5)
			vexalarm.options.spellwindow.button:SetText("Close")
			vexalarm.options.spellwindow.button:SetScript("OnClick", function () vexalarm.options.spellwindow.toggle(true, spellid) end)
		end
		
		vexalarm.options.spellwindow.Text:SetText("|CFFFF7D0A"..select(1, GetSpellInfo(spellid)).."|r\nClass: |CFF"..vexalarm.colorize.getHexClassColor(classstring)..class.."|r\n\n"..vexalarm.options.spellwindow.getToolTip(spellid))
		
		vexalarm.options.spellwindow.frame:SetWidth(vexalarm.options.spellwindow.Text:GetWidth()+10)
		vexalarm.options.spellwindow.frame:SetHeight(vexalarm.options.spellwindow.Text:GetHeight()+10)
		
		if not(vexalarm.options.spellwindow.frame:IsShown()) then
			vexalarm.options.spellwindow.frame:ClearAllPoints()
			vexalarm.options.spellwindow.frame:SetPoint("TOPLEFT", InterfaceOptionsFramePanelContainer, "TOPRIGHT", 0, 0)
			vexalarm.options.spellwindow.frame:Show()
		end
	else
		vexalarm.options.spellwindow.frame:Hide()
	end
end