
function vexalarm.totem.create(alarmtype, spell, spellid, caster, target, frame)
	vexalarm.totemsPlaced[frame][spell]= {time(), {alarmtype, spellid, caster, target}}
end

function vexalarm.totem.rwCreate(alarmtype, spell, spellid, caster, target)
	vexalarm.totemsPlaced_RW[spell]= {time(), {alarmtype, spellid, caster, target}}
end

function vexalarm.totem.cleanRegistry()
	for frame in pairs(vexalarm.totemsPlaced) do
		for key,val in pairs(vexalarm.totemsPlaced[frame]) do
			if val[1] + 360 < time() then vexalarm.totem.delete(frame, key) end
		end
	end
	
	for key, val in pairs(vexalarm.totemsPlaced_RW) do
		if val[1] + 360 < time() then vexalarm.totem.rwDelete(key) end
	end
end

function vexalarm.totem.find(frame, spell)
	local returnvalue = false
	if vexalarm.totemsPlaced[frame][spell] ~= nil then
		returnvalue = true
	end
	return returnvalue
end

function vexalarm.totem.rwFind(spell)
	local returnvalue = false
	if vexalarm.totemsPlaced_RW[spell] ~= nil then
		returnvalue = true
	end
	return returnvalue
end

function vexalarm.totem.delete(frame, spell)
	vexalarm.totemsPlaced[frame][spell]= nil
end

function vexalarm.totem.rwDelete(spell)
	vexalarm.totemsPlaced_RW[spell]= nil
end

function vexalarm.totem.inactiveHandler(spellname)
	for key in pairs(vexalarm.frames.createdFrames) do
		if vexalarm.totem.find(key, spellname) then
			local alarmtype = vexalarm.totemsPlaced[key][spellname][2][1]
			local spellid = vexalarm.totemsPlaced[key][spellname][2][2]
			local caster = vexalarm.totemsPlaced[key][spellname][2][3]
			local target = vexalarm.totemsPlaced[key][spellname][2][4]
			
			vexalarm.warning.postWarning(alarmtype, spellname, spellid, caster, target, false, key)
			vexalarm.totem.delete(key, spellname)
		end
	end
	
	if vexalarm.totem.rwFind(spellname) then
		local alarmtype = vexalarm.totemsPlaced_RW[spellname][2][1]
		local spellid = vexalarm.totemsPlaced_RW[spellname][2][2]
		local caster = vexalarm.totemsPlaced_RW[spellname][2][3]
		local target = vexalarm.totemsPlaced_RW[spellname][2][4]
		if status or (not(status) and not(vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["hideBuffFades"])) then
			vexalarm.rw.postWarning(alarmtype, spellname, spellid, caster, target, false)
		end
		vexalarm.totem.rwDelete(spellname)
	end
end